Loading...
Searching...
No Matches
VmaVirtualBlockCreateInfo Struct Reference
Virtual allocator

Parameters of created VmaVirtualBlock object to be passed to vmaCreateVirtualBlock(). More...

## Public Attributes

VkDeviceSize | size
| Total size of the virtual block.
VmaVirtualBlockCreateFlags | flags
| Use combination of VmaVirtualBlockCreateFlagBits.
const VkAllocationCallbacks * | pAllocationCallbacks
| Custom CPU memory allocation callbacks. Optional.

## Detailed Description

Parameters of created VmaVirtualBlock object to be passed to vmaCreateVirtualBlock().

## Member Data Documentation

## flags

VmaVirtualBlockCreateFlags VmaVirtualBlockCreateInfo::flags

Use combination of VmaVirtualBlockCreateFlagBits.

## pAllocationCallbacks

const VkAllocationCallbacks* VmaVirtualBlockCreateInfo::pAllocationCallbacks

Custom CPU memory allocation callbacks. Optional.

Optional, can be null. When specified, they will be used for all CPU-side memory allocations.

## size

VkDeviceSize VmaVirtualBlockCreateInfo::size

Total size of the virtual block.

Sizes can be expressed in bytes or any units you want as long as you are consistent in using them. For example, if you allocate from some array of structures, 1 can mean single instance of entire structure.

The documentation for this struct was generated from the following file:

- vk_mem_alloc.h